# Class ConditionalCritAbAttr

Guarantees a critical hit according to the given condition, except if target prevents critical hits. ie. Merciless

#### See

`apply`

#### Hierarchy (view full)

- AbAttr
  - ConditionalCritAbAttr

- Defined in src/data/ability.ts:2093

#####
Index

### Constructors

constructor

### Properties

condition
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new ConditionalCritAbAttr(condition, checkUser?): ConditionalCritAbAttr

- #### Parameters

  - condition: PokemonAttackCondition
  - `Optional` checkUser: Boolean

  #### Returns ConditionalCritAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:2096

## Properties

### `Private` condition

condition: PokemonAttackCondition

- Defined in src/data/ability.ts:2094

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default

    `Pokemon` user.

  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

    [0] `Utils.BooleanHolder` If true critical hit is guaranteed. [1] `Pokemon` Target. [2] `Move` used by ability user.

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:2108

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137